#include <cmath>
#include <GL/gl.h>

#include "../misc/Random.h"
#include "GroundDebris.h"

/**********************************************/

GroundDebris::GroundDebris(double _x, double _y, double power)
	: Airborne(_x, _y, 0.0, 0.0, 0.4)
{
	color.r = randomFloat(0.3, 0.5);
	color.g = randomFloat(0.3, 0.5);
	color.b = 0.0;
	
	double angle = randomFloat(0.0, M_PI);
	double speed = randomFloat(power / 5, power);
	if (randomFloat(0.0, 1.0) > 0.9)
		speed *= 2;
	
	setVX(std::cos(angle) * speed);
	setVY(-std::sin(angle) * speed);
}

/**********************************************/

void GroundDebris::render()
{
	glColor3f(color.r, color.g, color.b);
	glDisable(GL_TEXTURE_2D);
	
	glBegin(GL_QUADS);
		glVertex2f(x, y); glVertex2f(x + 1, y);
		glVertex2f(x + 1, y + 1); glVertex2f(x, y + 1);
	glEnd();
}
